## Glacier

Glacier is the package management system for Everest Linux. It controls all user-installed packages on the system.
Glacier is designed from the ground up, and uses a simple, PKGBUILD-like format, for ease of use.

## Get started

Glacier requires the following packages:

- Bash (Glacier runtime)
- GNU make
- GCC (or any compatible C compiler)
- Git
- Autoconf
- Automake

To install Glacier, clone this repository:
```
git clone https://git.everestlinux.org/EverestLinux/glacier
cd glacier/install
```
Inside the `install` directory, edit install.conf.dist, ensure all options are adequate, and save as install.conf:
```
EDITOR=your_editor_here
$EDITOR install.conf.dist
```
Run `build.sh` as root:
```
doas ./build.sh install
# OR
sudo ./build.sh install
# OR
su -c ./build.sh install
```
